package com.fr.plugin.rpc;

import com.fr.decision.webservice.Response;
import com.fr.third.springframework.stereotype.Controller;
import com.fr.third.springframework.web.bind.annotation.RequestMapping;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.third.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author Zed
 * @version 10.0
 * Created by Zed on 2020/8/21
 *
 * 测试用的rest api
 */
@Controller
public class RPCController {

    @RequestMapping(value = "/print", method = RequestMethod.GET)
    @ResponseBody
    public Response batch(HttpServletRequest req,
                          HttpServletResponse res) throws Exception {

        PrintImpl.INSTANCE.getProxy().print();
        return Response.success();
    }
}
