package com.fr.plugin.rpc;

import com.fr.cluster.engine.core.jchannel.MachineMarker;
import com.fr.cluster.rpc.proxy.Ticket;
import com.fr.cluster.rpc.proxy.TicketProxyBuilder;

/**
 * @author Zed
 * @version 10.0
 * Created by Zed on 2020/8/21
 */
@Ticket
public class PrintImpl extends TicketProxyBuilder<Print> implements Print {

    public static final PrintImpl INSTANCE = new PrintImpl();

    @Override
    public void print() {
        System.out.println("hi zed! this is " + MachineMarker.currentID());
    }

}
